﻿/*
	Copyright (c) 2024 The Wizard Of Finity (https://ZedLX.com)
*/



try {

	OokBF.src = `
			This program outputs letters in colors

			++++++++++[>+++++++>++++++++++>+++>+>+++>+++++++++>+++++>++++++>+++++>+++++>+++++++++++<<<<<<<<<<<-]
			  >>>>>--->+>-->->+>->-<<<<<<
			  .>.>.>.>.>++.>.<<<<<<<<<<<    >++.>+.
			  >>>.>.>.>.>.>--.>.<<<<<<<<<   +++++++..
			  >>>.>.>.>.>.>+.>.<<<<<<<<<  +++.>++.<<+++++++++++++++.
			  >>>>.>.>.>.>.>++.>.<<<<<<<<<<  >.+++.------.
			  >>>.>.>.>.>.>+.>.<<<<<<<<<  --------.>+.>
			  .

		`;



	OokBF.inputType = "stdInput utf";  // "console utf" for console, "stdInput utf" for stdInput

	OokBF.stdInput = `
Example standard input.
It has no effect on the Hello World in Color program, because this program doesn't read the standard input.
`;


	OokBF.termEmu = "ansi utf";     // one of: "dos", "dos utf", "ansi utf"
	OokBF.EOF     = "no-write";     // one of: "no-write", "0", "255"

	OokBF.showStandardOutput = true;      //true or false
	OokBF.showSourceCode     = true;     //true or false
	OokBF.showExecutionSpeed = true;      //true or false
	OokBF.disableF8          = false;     //true or false
	OokBF.disableResizer     = false;     //true or false   (automatically resizes the terminal to fit the window)
	OokBF.clearOnRestart     = true;      //true or false   (clears the terminal when the application is restarted)
	OokBF.echoEnabled        = false;     //true or false   (text entered into the console is echoed)

	// The text for the start screen, in HTML format
	OokBF.infoHTML = `

	    <br>

		<h2>Example application: <i>Hello World! in Color</i></h2>
		<ul>
			<li>this application outputs to the terminal the text “Hello World!”, in color</li>
		</ul>

		<h2>Environment instructions</h2>
		<ul>
			<li>click the “Run” button below to run the application</li>
			<li>press <span class="keys">F11</span> key for fullscreen mode</li>
		</ul>

		<h2>Creating your own applications</h2>
		<ul>
			<li>to create your own cross-platform applications from source code written in <i>Ook!</i> or <i>Brainfu**</i> languages,
				you should download the
				<a href="https://zedlx.com/OokBF/ookbf-offline-download"><i>OokBF Offline Package</i></a>, 
				which contains the Runtime Environment 
				and instructions for linking programs with the environment
				</li>
		</ul>

		<hr>

		`;

	OokBF.end = true;   // set this to true when OokBF object is ready to be processed

 } catch(e) { envOokBF.AppExceptionShow(e);  };